IARRAY_WRITE_RGB_PS(3)

FUNCTION
iarray_write_rgb_ps - Write an Intelligent Array as TrueColour PostScript.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_write_rgb_ps

(iarray image_red, iarray image_green, iarray image_blue, PostScriptPage pspage, double xstart, double ystart, double xend, double yend)

DESCRIPTION
This routine will convert three 2-dimensional Intelligent Arrays to colour PostScript. The routine does NOT write PostScript headers or tails.

image_red
    The Intelligent Array containing the red image component.

image_green
    The Intelligent Array containing the green image component.

image_blue
    The Intelligent Array containing the blue image component.

pspage
    The PostScriptPage object.

xstart
    The x starting point (scaled from 0.0 to 1.0).

ystart
    The y starting point (scaled from 0.0 to 1.0).

xend
    The x ending point (scaled from 0.0 to 1.0).

yend
    The y ending point (scaled from 0.0 to 1.0).

cmap
    The colourmap. This must be the same format as returned by <-ds_cmap_find_colourmap->.

cmap_size
    The size of the colourmap. The maximum size is 256.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
Each of these Intelligent Arrays must be of type K_UBYTE.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/